Get mobile money providers
curl --request GET \
--url https://api.tandapay.io/api/b2b/utilities/momo/providers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tandapay.io/api/b2b/utilities/momo/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tandapay.io/api/b2b/utilities/momo/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tandapay.io/api/b2b/utilities/momo/providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": [
{
"id": "mpesa",
"name": "M-PESA",
"currency": "KES",
"countryCode": "KE"
},
{
"id": "airtel",
"name": "Airtel Money",
"currency": "KES",
"countryCode": "KE"
}
]
}{
"success": false,
"message": "Unauthorized"
}Reference data
Get mobile money providers
Mobile money networks available on your account.
GET
/
api
/
b2b
/
utilities
/
momo
/
providers
Get mobile money providers
curl --request GET \
--url https://api.tandapay.io/api/b2b/utilities/momo/providers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tandapay.io/api/b2b/utilities/momo/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tandapay.io/api/b2b/utilities/momo/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tandapay.io/api/b2b/utilities/momo/providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": [
{
"id": "mpesa",
"name": "M-PESA",
"currency": "KES",
"countryCode": "KE"
},
{
"id": "airtel",
"name": "Airtel Money",
"currency": "KES",
"countryCode": "KE"
}
]
}{
"success": false,
"message": "Unauthorized"
}
